사이드 메뉴
Getting started
Kakao Developers
Login
Communication
Advertisement
- Concepts
- Ad creation: Ad account
- Ad creation: Campaign
- Ad creation: Ad group
- Targeting for ad group
- Custom audience targeting for ad group
- Ad creation: Creative common
- Ad creation: Display creative
- Ad creation: Message creative
- Ad creation: Personalized message creative
- Bizboard landing settings
- Report
- Message management
- Personalized message management
- Message ad management
- Message ad operation
- Ad View management
- Business Form+ management
- Business Form linkage management
- Pixel & SDK linkage management
- Audience management
- Engagement targeting management
- Customer file management
- Friend group management
- Ad account management
- Reference
- Type information
- Error code
Reference
Utility API
This document provides the Utility API information for Kakao Developers users.
| Method | URL | Authorization |
|---|---|---|
GET | https://kapi.kakao.com/v1/system/ips |
| Permission | Prerequisite | Kakao Login | User consent |
|---|---|---|---|
| - | - | - | - |
Returns the Kakao IP lists required to use Kakao Developers.
If access to the service server is restricted by the firewall or ACL (Access Control List), you must set the Kakao service server's IP on the firewall rules or ACL.
| Type | Description |
|---|---|
| Inbound | Required IPs to get the request from Kakao. One of the request types below. callback: Callbackscrap: A request to scrape a service page |
| Outbound | Required IPs to use Kakao APIs. One of the Kakao service domains below. https://kauth.kakao.com: Kakao Login APIhttps://kapi.kakao.com: Kakao APIhttps://accounts.kakao.com: Kakao Accounthttps://auth.kakao.com: Kakao Account(Mobile)https://dapi.kakao.com: Daum search, local APIhttps://apps.kakao.com: Kakao Talk Message APIhttps://talk-apps.kakao.com: Kakao Talk universal link |
| Name | Description | Required |
|---|---|---|
| Authorization | Authorization: KakaoAK ${SERVICE_APP_KEY}Service app key as a type of user authentication. One of:
| O |
| Name | Type | Description | Required |
|---|---|---|---|
| rule_type | String | Kakao IP type to retrieve. Use to retrieve only one of the inbound and outbound lists; if omitted, returns both. One of inbound and outbound. | X |
| Name | Type | Description | Required |
|---|---|---|---|
| inbound | IP[] | Inbound IP list of each Kakao service. | X |
| outbound | IP[] | Outbound IP list of each Kakao service. | X |
| updatedDate | String | The last updated date in YYYY-MM-DD(ISO 8601) Format. | O |
| Name | Type | Description | Required |
|---|---|---|---|
| service | String | The service names or the service domain. Refer to Kakao service information. | O |
| ips | String[] | The IP list of each Kakao service. RFC1519 CIDR format. | O |
| ports | Int[] | The port list of each Kakao service. | O |
| addition | IpChange | The IP information to be added. | X |
| exclusion | IpChange | The IP information to be excluded. | X |
| updatedDate | String | The last updated date in YYYY-MM-DD(ISO 8601) Format. | O |
| Name | Type | Description | Required |
|---|---|---|---|
| ips | String[] | The IP list to be added or excluded. RFC1519 CIDR format. | O |
| date | String | The addition or exclusion schedule. | O |
Request
curl -v -G GET "https://kapi.kakao.com/v1/system/ips" \-H "Authorization: KakaoAK ${REST_API_KEY}"
Request: retrieve only inbound IP list
curl -v -G GET "https://kapi.kakao.com/v1/system/ips" \-H "Authorization: KakaoAK ${REST_API_KEY}" \-d "rule_type=inbound"
Response
// HTTP/1.1 200 OK{"inbound": [{"service": "${SERVICE_NAME}","ips": ["${IP_ADDRESS}"// ...],"ports": ["${PORT_NUMBER}"// ...],"updatedDate": "${UPDATED_DATE}"}// ...],"outbound": [{"service": "${SERVICE_NAME}","ips": ["${IP_ADDRESS}"// ...],"ports": ["${PORT_NUMBER}"// ...],"updatedDate": "${UPDATED_DATE}"}// ...],"updatedDate": "${UPDATED_DATE}"}
Use these APIs to retrieve Kakao Open API Status.
| Method | URL | Authorization |
|---|---|---|
GET | https://api-status.kakao.com/api/health/current | - |
| Permission | Prerequisite | Kakao Login | User consent |
|---|---|---|---|
| - | - | - | - |
Returns the current status of Kakao Open APIs.
| Name | Type | Description | Required |
|---|---|---|---|
| product | String | Products to check status, a comma separated string If not specified, check all products (Example: login,message) | X |
| api | String | APIs to check status, a comma separated string If not specified, check all APIs (Example: user_me,user_shipping_address)Note: If products are specified, APIs only for the same products are available | X |
| lang | String | Language for the response, one of:ko: Korean (Default)en: English | X |
| Name | Type | Description | Required |
|---|---|---|---|
| updatedAt | String | Last updated time for status information, which is refreshed every 5 minutes, in yyyy-MM-dd HH:mm:ssZ format | X |
| statuses | Status[] | List of product status information, included regardless of status | X |
| warning | Warning | If the request was invalid, detailed reasons | X |
| Name | Type | Description | Required |
|---|---|---|---|
| productId | String | ID of the product | O |
| productName | String | Name of the product | O |
| status | String | Current product status, one of the following:GREEN: NormalYELLOW: WarningRED: OutageMAINTENANCE: MaintenanceUNKNOWN: Unknown | O |
| issuses | Issue[] | List of APIs with abnormal status Not provided when the status is GREEN or UNKNOWN | X |
| Name | Type | Description | Required |
|---|---|---|---|
| apiId | String | ID of the API | O |
| apiName | String | Name of the API | O |
| status | String | Current API status, one of:GREEN: NormalYELLOW: WarningRED: OutageMAINTENANCE: MaintenanceUNKNOWN: Unknown | O |
| Name | Type | Description | Required |
|---|---|---|---|
| invalidProduct | String[] | List of the invaild product values | X |
| invalidUri | String[] | List of the invalid api values | X |
Request
curl -v -G GET "https://api-status.kakao.com/api/health/current"
Request: Check for Kakao Login
curl -v -G GET "https://api-status.kakao.com/api/health/current" \-d "product=login"
Request: Check for retrieving user information API
curl -v -G GET "https://api-status.kakao.com/api/health/current" \-d "product=login" \-d "api=user_me"
Response
// HTTP/2 200// content-type: application/json; charset=utf-8{"updatedAt": "2023-12-05T07:10:01.823Z","statuses": [{"productId": "login","productName": "카카오 로그인","status": "GREEN"},{"productId": "social","productName": "카카오톡 소셜","status": "GREEN"},{"productId": "message","productName": "메시지","status": "GREEN"}// ...]}
Response: Check for Kakao Login, normal status
// HTTP/2 200// content-type: application/json; charset=utf-8{"updatedAt": "2023-12-05T07:00:01.986Z","statuses": [{"productId": "login","productName": "카카오 로그인","status": "GREEN"}]}
Response: Check for Kakao Login, abnormal status
// HTTP/2 200// content-type: application/json; charset=utf-8{"updatedAt": "2023-11-27T09:30:01.807Z","statuses": [{"productId": "login","productName": "카카오 로그인","status": "RED","issues": [{"apiId": "oauth_authorize","apiName": "인가 코드 요청","status": "YELLOW"},{"apiId": "oauth_token","apiName": "토큰 요청","status": "RED"}]}]}
Response: A product is specified, but the specified API is not included for the product
// HTTP/2 200// content-type: application/json; charset=utf-8{"updatedAt": "2023-12-05T07:12:43.961Z","statuses": []}
Response: Requested for invalid product or API
// HTTP/2 200// content-type: application/json; charset=utf-8{"updatedAt": "2023-12-05T07:49:57.811Z","statuses": [],"warning": {"invalidProduct": "test","invalidUris": "test"}}
| Method | URL | Authorization |
|---|---|---|
GET | https://api-status.kakao.com/api/health/history | - |
| Permission | Prerequisite | Kakao Login | User consent |
|---|---|---|---|
| - | - | - | - |
Returns the status history of Kakao Open APIs.
| Name | Type | Description | Required |
|---|---|---|---|
| start | String | Start date, yyyy-MM-dd formatCan be set up to 30 days before the request date | X |
| end | String | End date, yyyy-MM-dd format | X |
| product | String | Products to check status, a comma separated string If not specified, check all products (Example: login,message) | X |
| api | String | APIs to check status, a comma separated string If not specified, check all APIs (Example: user_me,user_shipping_address)Note: If products are specified, APIs only for the same products are available | X |
| lang | String | Language for the response, one of:ko: Korean (Default)en: English | X |
| Name | Type | Description | Required |
|---|---|---|---|
| - | StatusHistory[] | Daily status history | O |
| Name | Type | Description | Required |
|---|---|---|---|
| date | String | Date | O |
| statuses | Status[] | List of the status information | O |
Request
curl -v -G GET "https://api-status.kakao.com/api/health/history"
Request: Specified period
curl -v -G GET "https://api-status.kakao.com/api/health/history" \-d "start=2023-12-01" \-d "end=2023-12-31"
Request: Check for Kakao Login
curl -v -G GET "https://api-status.kakao.com/api/health/history" \-d "product=login"
Request: Check for retrieving user information API
curl -v -G GET "https://api-status.kakao.com/api/health/history" \-d "product=user_me"
Response
// HTTP/2 200// content-type: application/json; charset=utf-8[{"date": "2023-12-04T15:00:00.000Z","statuses": [{"productId": "login","productName": "카카오 로그인","status": "GREEN"},{"productId": "social","productName": "카카오톡 소셜","status": "GREEN"},{"productId": "message","productName": "메시지","status": "GREEN"}// ...]}// ...]
Response: Check for Kakao Login, normal status
// HTTP/2 200// content-type: application/json; charset=utf-8[{"date": "2023-12-04T15:00:00.000Z","statuses": [{"productId": "login","productName": "카카오 로그인","status": "GREEN"}]}// ...]
| Name | ID |
|---|---|
| Kakao Login | login |
| Kakao Talk Social | social |
| Message | message |
| Map/Local | local |
| Kakao Navi | navi |
| Kakao Talk Channel | channel |
| Search | search |
| Name | ID |
|---|---|
| Get authorization code | oauth_authorize |
| Get token | oauth_token |
| OIDC: Get Discovery document | oidc_meta |
| OIDC: Get public key | oidc_public_key |
| Logout | user_logout |
| Manual signup | user_signup |
| Unlink | user_unlink |
| Retrieve access token information | user_access_token_info |
| Retrieve user information | user_me |
| Store user property | user_update_profile |
| Retrieve shipping address | user_shipping_address |
| Retrieve user list | user_ids |
| Retrieve multiple user information | app_users |
| Retrieve consent details | user_scopes |
| Revoke consent | user_revoke_scopes |
| Retrieve consent details for service terms | user_service_terms |
| Revoke consent for service terms | user_revoke_service_terms |
| OIDC: Get user information | oidc_userinfo |
| Retrieve Kakao Talk profile | talk_profile |
| Retrieve list of friends | talk_friends |
| Picker: Retrieve friends(Native SDK) | picker_friends_native |
| Picker: Retrieve friends(JS SDK) | picker_friends_js |
| Kakao Talk Share: Configure message with default template | talk_sharing_default_template |
| Kakao Talk Share: Configure message with custom template | talk_sharing_custom_template |
| Kakao Talk Share: Configure scrap message | talk_sharing_scrap_template |
| Kakao Talk Share: Send message | talk_sharing_send_message |
| Kakao Talk Share: Send web sharing message | talk_sharing_web_send_message |
| Kakao Talk Share: Upload images | talk_sharing_upload_images |
| Kakao Talk Share: Scrap images | talk_sharing_scrap_images |
| Kakao Talk Share: Delete images | talk_sharing_delete_images |
| Send me message with default template | talk_memo_default_send |
| Send me message with custom template | talk_memo_send |
| Send me scrap message | talk_memo_scrap_send |
| Send message with default template | talk_friends_message_default_send |
| Send message with custom template | talk_friends_message_send |
| Send scrap message | talk_friends_message_scrap_send |
| Map API for JavaScript | map_js |
| Map API for native app | map_native |
| Vector map API for native app | vector_map_native |
| Map style | map_style |
| POI(Point Of Interest) | map_poi |
| Convert address to coordinates | local_search_address |
| Convert coordinates to region code | local_geo_coord2regioncode |
| Convert coordinates to address | local_geo_coord2address |
| Transform coordinates | local_geo_transcoord |
| Search place by keyword | local_search_keyword |
| Search place by category | local_search_category |
| Find driving directions | navi_directions |
| Find directions via multiple waypoints | navi_waypoints_directions |
| Find directions from multiple origins | navi_origins_directions |
| Find directions to multiple destinations | navi_destinations_directions |
| Estimate future driving | navi_future_directions |
| Check Kakao Talk Channel relationship | talk_channels |
| Check multiple users' Kakao Talk Channel relationship | talk_channels_multi |
| Customer management: Register customer file | talkchannel_create_target_user_file |
| Customer management: View customer file | talkchannel_target_user_file |
| Customer management: Add user | talkchannel_update_target_users |
| Customer management: Delete user | talkchannel_delete_target_users |
| Search web document | search_web |
| Search video | search_vclip |
| Search image | search_image |
| Search blog | search_blog |
| Search book | search_book |
| Search cafe | search_cafe |